package com.albertoventurini.parsley.examples.graphml;

import java.util.List;

public final class GraphMLParseResult {

    private final List<Node> nodes;
    private final List<Edge> edges;

    public GraphMLParseResult(final List<Node> nodes, final List<Edge> edges) {
        this.nodes = nodes;
        this.edges = edges;
    }

    public List<Node> nodes() {
        return nodes;
    }

    public List<Edge> edges() {
        return edges;
    }
}
