package com.albertoventurini.parsley.examples.graphml;

import java.util.Map;

public final class Edge {

    private final String id;
    private final String source;
    private final String target;
    private final Map<String, String> data;

    public Edge(
            final String id,
            final String source,
            final String target,
            final Map<String, String> data) {
        this.id = id;
        this.source = source;
        this.target = target;
        this.data = data;
    }

    public String id() {
        return id;
    }

    public String source() {
        return source;
    }

    public String target() {
        return target;
    }

    public Map<String, String> data() {
        return data;
    }
}
