package com.albertoventurini.parsley.grammar;

import com.albertoventurini.parsley.grammar.rules.Rule;

public class GrammarFactory {

    public static Grammar newGrammar(final Rule startRule, final Rule commentRule) {
        // TODO: better than this

        if (commentRule != null) {
            commentRule.setComment(true);
        }

        return new Grammar() {

            @Override
            protected Rule startRule() {
                return startRule;
            }

            @Override
            protected Rule commentRule() {
                return commentRule;
            }
        };
    }
}
